Public Class PixelGridControl
    ' eigentlich ist dieses Control nur ntig, um einen Rahmen um das 
    ' PixelGrid zu zeichnen
    Protected Overrides Sub OnPaint(ByVal e As System.Windows.Forms.PaintEventArgs)
        MyBase.OnPaint(e)
        ControlPaint.DrawVisualStyleBorder(e.Graphics, New Rectangle(0, 0, Me.Width - 1, Me.Height - 1))
    End Sub

    ''' <summary>
    ''' Aktive Zeichenfarbe des PixelGrid
    ''' </summary>
    Property ActiveColor() As Color
        Get
            Return Me.PixelGrid1.ActiveColor
        End Get
        Set(ByVal value As Color)
            Me.PixelGrid1.ActiveColor = value
        End Set
    End Property

    ''' <summary>
    ''' teilt dem PixelGrid mit, dass es alle Farbflchen mit Wei fllen soll
    ''' </summary>
    Public Sub ClearAll()
        Me.PixelGrid1.ClearAll()
    End Sub

    Private Sub PixelGridControl_Resize(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Resize
        ' bei Grennderung Control neu zeichnen
        Invalidate()
    End Sub
End Class
